Subject: Re: bug#21556: 25.0.50; Memory leak in emacs -Q with lucid (font)

From: Dima Kogan <[email-masked]>
Date: Fri, 02 Oct 2015 11:56:52 -0700

Dmitry Antipov <[email-masked]> writes:

> I'm suggesting to check whether there are unmarked font objects after marking
> from Vfontset_table, and, if so, understand whether it's correct. Otherwise
> your patch, even being correct by itself, may just hide subtle GC bug.

OK, I need even more clarification here. You're saying that you would
expect both the font entities and the fonts to be marked from
mark_char_table()? How does this relate to Vfontset_table? The code
doesn't make this obvious.